Subject: [PATCH RFC 1/3] PM / Domains: Allocate memory outside domain locks

From: [email-masked] (Kevin Hilman)
Date: Wed, 10 Jun 2015 10:33:37 -0700

Lina Iyer <[email-masked]> writes:

> In order for domains to be powered on/off in irq locked context, the
> domain locks could either be a spinlock or a mutex, depending on the
> domain. 

I'd drop that sentence.

> In preparation for atomic support, allocate domain data outside

In preparation for supporting IRQ-safe domainss, ...

> the domain locks, so the allocation calls dont have to be context
> sensitive.

OK, but *why* don't these allocations need to be protected by the
locks.  Presumably they were put inside the locks for a reason, so you
should make the case for why the lock protection isn't needed.

Kevin